<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" th:href="@{/css/sidebar.css}">
    <link rel="stylesheet" th:href="@{/css/update-profile-style.css}">

    <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
    <title>Ubah Profile</title>
</head>
<body>
<div th:replace="fragments/fragment.html :: side-bar-dokter" />

<section class="content-sidebar-section">
    <div class="text"><a th:href="@{/dokter/dashboard/profil}" style="color: #000000">Detail User</a> <h2>/Update Profile</h2></div>
    <br>
    <br>
    <div class="card-update-profile">
        <a th:href="@{update/data-diri}" style="text-decoration: none">
            <div class="section-card-update-data-diri">
                <div class="card-option-update-data-diri">
                    <div class="section-content">
                        <div class="profile-icon">
                            <svg width="48" height="48" viewBox="0 0 48 48" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" clip-rule="evenodd" d="M2.5 24C2.5 12.1259 12.1259 2.5 24 2.5C35.8741 2.5 45.5 12.1259 45.5 24C45.5 30.0969 42.9602 35.6032 38.885 39.5141C35.0233 43.2201 29.7764 45.5 24 45.5C18.2236 45.5 12.9767 43.2201 9.11501 39.5141C5.03978 35.6032 2.5 30.0969 2.5 24ZM36.1663 37.9371C35.3042 35.3584 32.8677 33.5 30 33.5H18C15.1323 33.5 12.6958 35.3584 11.8337 37.9371C15.087 40.7797 19.3412 42.5 24 42.5C28.6588 42.5 32.913 40.7797 36.1663 37.9371ZM24 8.5C18.7533 8.5 14.5 12.7533 14.5 18C14.5 23.2467 18.7533 27.5 24 27.5C29.2467 27.5 33.5 23.2467 33.5 18C33.5 12.7533 29.2467 8.5 24 8.5Z" fill="#F67280" stroke="#F67280"/>
                            </svg>
                        </div>
                        <div class="text-data-diri">
                            <h4 style="margin-bottom: 0;">Personal Information</h4>
                        </div>
                    </div>
                </div>
            </div>
        </a>
        <a th:href="@{update/data-pekerjaan}" style="text-decoration: none">
            <div class="section-card-update-data-pekerjaan">
                <div class="card-option-update-data-pekerjaan">
                    <div class="section-content">
                        <div class="suitcase-icon">
                            <svg width="48" height="48" viewBox="0 0 39 37" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M33.2647 37H5.73529C2.52353 37 0 34.4562 0 31.2188V12.7188C0 9.48125 2.52353 6.9375 5.73529 6.9375H33.2647C36.4765 6.9375 39 9.48125 39 12.7188V31.2188C39 34.4562 36.4765 37 33.2647 37ZM5.73529 9.25C3.9 9.25 2.29412 10.8687 2.29412 12.7188V31.2188C2.29412 33.0688 3.9 34.6875 5.73529 34.6875H33.2647C35.1 34.6875 36.7059 33.0688 36.7059 31.2188V12.7188C36.7059 10.8687 35.1 9.25 33.2647 9.25H5.73529Z" fill="#F67280"/>
                                <path d="M37.8529 18.5H1.14697V20.8125H37.8529V18.5Z" fill="#F67280"/>
                                <path d="M12.6178 23.125C11.9295 23.125 11.4707 22.6625 11.4707 21.9688V17.3438C11.4707 16.65 11.9295 16.1875 12.6178 16.1875C13.306 16.1875 13.7648 16.65 13.7648 17.3438V21.9688C13.7648 22.6625 13.306 23.125 12.6178 23.125Z" fill="#F67280"/>
                                <path d="M26.3824 23.125C25.6942 23.125 25.2354 22.6625 25.2354 21.9688V17.3438C25.2354 16.65 25.6942 16.1875 26.3824 16.1875C27.0706 16.1875 27.5295 16.65 27.5295 17.3438V21.9688C27.5295 22.6625 27.0706 23.125 26.3824 23.125Z" fill="#F67280"/>
                                <path d="M11.4707 8.09375V4.1625C11.4707 1.85 13.306 0 15.6001 0H23.6295C25.9236 0 27.7589 1.85 27.7589 4.1625V8.09375H25.4648V4.1625C25.4648 3.2375 24.7766 2.3125 23.6295 2.3125H15.6001C14.6825 2.3125 13.7648 3.00625 13.7648 4.1625V8.09375H11.4707Z" fill="#F67280"/>
                            </svg>
                        </div>
                        <div class="text-data-pekerjaan">
                            <h4 style="margin-bottom: 0;">Job Information</h4>
                        </div>
                    </div>
                </div>
            </div>
        </a>
    </div>
</section>
<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!"); //tambahkan console log
        console.log(sidebar.classList);
        menuBtnChange();//calling the function(optional)
    });

    // following are the code to change sidebar button(optional)
    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
        }
    }
</script>
</body>
</html>